stages:
  - deploy

deploy-app:
  stage: deploy
  script:
    - echo "Check the ruby version, then build some Ruby project files:"
    - curl -fsSL https://get.deta.dev/cli.sh | sh
    - export PATH="/root/.deta/bin:$PATH"
    - export DETA_ACCESS_TOKEN=$DETA_KEY
    - bash env
    - deta update -e .env
    - deta deploy
  only:
    - main
